"configure" does not set BOOST if there are multiple copies in "standard" location
Status: Closed Start date: 09 Apr 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Makefile Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 1.10 hour

Description

I thought that, with many BOOST to choose from configure should give a warning (and a choice).

Apparently it doesn't  (ask Bruno Simoes for testing)

Related issues:

Related to CoCoA - Bug #402: Problem with 64-bit BOOST on Linux (Werner) Closed 13 Sep 2013

History

#1 - 09 Apr 2013 17:09 - Anna Maria Bigatti

- Project changed from CoCoA-5 to CoCoALib

#2 - 09 Apr 2013 17:12 - Anna Maria Bigatti

- Subject changed from Not compiling with BOOST if there are multiple copies in "standard" location to "configure" does not set BOOST if there are

multiple copies in "standard" location

- Category set to Makefile

#3 - 09 Apr 2013 17:30 - John Abbott

How can you have have multiple of copies of BOOST in the standard location?

Perhaps you mean that there are several possible standard locations and BOOST installations appear in more than one of them...?

I suppose the script simply identifies the first installation it finds.

Anyway, surely someone who has several BOOST installations in different standard locations is asking for trouble, no?

If you can convince me that it is reasonable to have multiple BOOST installations then I can try to modify the script.  Remember: the scripts are

intended to protect a careless user from some more obvious/common problems, they are not intended to be rock-solid, bullet-proof, vandal-proof

checks that the build platform is safe.

#4 - 11 Apr 2013 16:41 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

OK, I have modified configure in the CoCoALib root directory.

Let me know if it does what you expect.
#5 - 28 May 2013 18:31 - John Abbott

No complaints in the last month (but then again Bruno has left...).

It should all be sorted out now, so I'm closing this issue.

#6 - 28 May 2013 18:41 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Forgot to update status & %done.  OK now.
